From d3af3527b942c1d070d98bf40bdf7777c9960dac Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Fri, 23 Sep 2016 11:14:25 +0300
Subject: [PATCH 3/7] stubs: cmdtests: git: print stdout and stderr from git
 am

Needed for testing git stub conflict functionality.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2016, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 stubs/cmdtests/git.script |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/stubs/cmdtests/git.script b/stubs/cmdtests/git.script
index d20cc44aeae4..1947a8f46fec 100755
--- a/stubs/cmdtests/git.script
+++ b/stubs/cmdtests/git.script
@@ -40,11 +40,14 @@ import stubs
 def git_am(stub_git, buf):
       cmd = [stub_git, 'am', '-s']
 
-      # FIXME: stdout and stderr are not printed which might hide errors
       p = subprocess.Popen(cmd, stdout=subprocess.PIPE,
                            stdin=subprocess.PIPE, stderr=subprocess.PIPE)
 
       (stdoutdata, stderrdata) = p.communicate(input=buf)
+      if len(stdoutdata) > 0:
+            print stdoutdata
+      if len(stderrdata) > 0:
+            print repr(stderrdata)
 
 def main():
       srcdir = os.environ['SRCDIR']
-- 
1.7.9.5

